Arch Soustraire

From FreeCAD Documentation
Revision as of 16:57, 14 July 2019 by David69 (talk | contribs) (Created page with "{{Userdocnavi/fr}}")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Page précédente: Arch Add.svg Arch Addition
Page suivante: Arch Survey Arch Survey.svg Arrow-right.svg

Arch Remove.svg Arch Soustraire

Emplacement du menu
Arch → Remove
Ateliers
Atelier Architecture
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Addition


Description

L'outil Supprimer Arch Remove.png vous permet de faire 2 types d'opérations:

  • Supprimer une portion d'un objet Arch, par exemple supprimer une boîte qui a été ajoutée à un mur Arch Wall.png, comme dans l'exemple Arch ajouter Arch Add.png.
  • Soustraire une forme (shape) d'un objet de base, à partir d'une composante Arch tel qu'un mur Arch Wall.png ou, une structure Arch Structure.png.

La contrepartie de cet outil est l'outil Arch Addition.

Arch Remove example.jpg

Une boîte soustraite d'un mur, laissant un trou dedans.


Utilisation

  1. Sélectionnez un sous-composant dans un objet Arch.
  2. Appuyez sur le bouton Arch Remove.svg Remove.

Ou

  1. Sélectionnez les objets à soustraire, le dernier objet sélectionné doit être l’objet Arch auquel les autres objets seront soustraits.
  2. Appuyez sur le bouton Arch Remove.svg Remove.

Script

Voir aussi Arch API et Débuter avec les scripts.

L'outil de sosutraction peut être utilisé dans macros et à partir de la console Python à l'aide de la fonction suivante:

removeComponents(objectsList, host=None)
  • Supprime les objets donnés dans objectsList de leurs parents.
  • Si un objet host est spécifié, cette fonction essaiera d'ajouter les objets dans objectsList en tant que trous de l'élément host.

Exemple:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch Add.svg Arch Addition
Page suivante: Arch Survey Arch Survey.svg Arrow-right.svg